/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2014.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	//.js
	save: "Save",
	create: "Create",
	clickToEdit: "Click to edit",
	emptyName: "Specify a name for the global configuration.",
	saving: "Saving...",
	saveSuccessful: "The changes were saved successfully.",
	duplicatedConfigurationName: "New global stream name",
	configurationAlreadyExistsTitle: "Configuration Not Added",
	configurationAlreadyExistsMessage: "The configuration was not added because it is already a contribution in this global configuration.",
	versionSkewQuestionTitle: "Replace or Introduce Component Skew",
	versionSkewQuestionMessage: "The configuration ${configurationName} is part of this global configuration and belongs to the same component. Do you want to replace it with the selected configuration, or introduce component skew?",
	versionSkewQuestionReplaceButton: "Replace",
	versionSkewQuestionIntroduceVersionSkewButton: "Introduce Component Skew",
	versionSkewQuestionCancelButton: "Cancel",
	mutableEditor: "Global Stream:",
	immutableEditor: "Global Baseline:",
	newStreamNameTooltip: "Type the name of the stream to create",
	createNewStreamTooltip: "Create the stream",
	replaceContributionDialogTitle: "Replace Contribution",
	
	//_EditorWidget.js requires this -- consider improving
	configurations: "Configurations",

	//.html
	duplicateStream: "Create a copy of this stream",
	makeImmutable: "Convert into a global baseline",
	addContribution: "Add a Contribution",
	overview: "Overview",
	contributions: "Contributions",
	details: "Details",
	component: "Component:",
	description: "Description:",
	immutableTooltip: "This configuration is a global baseline and cannot be modified.",
	makeImmutableQuestionTitle: "Convert into a Global Baseline",
	makeImmutableQuestionContent: "Converting this global configuration into a global baseline prevents it from being modified. Do you still want to convert it?",
	makeImmutableQuestionYes: "Yes",
	makeImmutableQuestionNo: "No",
	unableToBaselineAnyError: "CRMVC1109E The global baseline was not created.",
	"unableToBaselineAnyError.explanation": "This global configuration contains streams, which can be modified.",
	"unableToBaselineAnyError.useraction": "To proceed, you must first complete two steps for each stream: 1. Go to the contribution's native application and convert the stream to a baseline. 2. Return to this editor and replace the stream with the baseline by using the Replace icon in the Actions column."
	
	//TODO: future consideration .html
//	mutableContributionsDetectedQuestionTitle: "Mutable contributions detected",
//	mutableContributionsDetectedQuestionContent: "In order to make this global configuration permanently and irreversibly immutable, all its contributions must be immutable.  Attempt to automatically make contributions immutable?",
//	automaticallyCreatingBaselines: "Automatically creating ${numberOfBaselines} baselines.  Please be patient.",
//	automaticallyCreatingBaseline: "Automatically creating baseline.  Please be patient.",
//	automaticallyCreatingStream: "Automatically creating stream.  Please be patient.",
//	unableToBaselineTitle: "Unable to baseline",
//	unableToBaselineContent: "The following contributions could not be baselined and are still mutable.  Please manually baseline them before making the global configuration immutable.",
//	unableToStreamOrBaselineAStream: "a stream",
//	unableToStreamOrBaselineABaseline: "a baseline",
//	unableToStreamOrBaselineError: "CRMVC1110E Unable to create ${streamOrBaseline} for the contribution ${contributionName}",
//	"unableToStreamOrBaselineError.explanation": "The contribution ${contributionName} could not be made into ${streamOrBaseline} and is still ${oppositeOfStreamOrBaseline}.",
//	"unableToStreamOrBaselineError.useraction": "Please manually baseline the contribution.  You may have to baseline the contributions' mutable contributions first."
})