/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2012, 2014.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	clientApplication: "Client Appplication",
	
	defaultError: "CRMVC0004E The application could not create the configuration.", //TODO these messages aren't used anywhere...
	'defaultError.explanation': "An error occurred on the server while trying to create the configuration.",
	'defaultError.useraction': "Try to create the configuration again. If the problem persists, contact your system administrator.",
	
	configurationArchivedDescription: "The dependent configuration has been archived.",
	configurationArchivedAction: "Restore the dependent configuration; then, retry the operation.",
	configurationExistsDescription: "The configuration already exists.",
	configurationExistsAction: "Specify a unique configuration name.",
	forbiddenDescription: "You do not have the appropriate permissions to create the configuration.",
    forbiddenAction: "Ensure that you have the appropriate permissions; then, retry the operation.",
	
	defaultXhrErrorMessage: "CRMVC0106E The following resource cannot be loaded: ${0}", 
	"defaultXhrErrorMessage.explanation": "The resource could not be loaded because the Jazz Team Server cannot be contacted.", 
	"defaultXhrErrorMessage.useraction": "Ask the Jazz Team Server administrator to verify that the server is available. Also, check your network and firewall settings to verify that you can connect to the network on which the server resides."  
	
})