/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2013, 2014.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	createWorkspaceButtonTitle: "New Workspace",
	createSnapshotButtonTitle: "New Snapshot",
	
	compareButtonTitle: "Compare the configurations",
	
	archiveButtonTitle: "Archive",
	unarchiveButtonTitle: "Restore",
	
	associateProjectOrTeamAreaAction: "Assign Team Ownership",
	associateProjectOrTeamAreaDialog: "Specify an Area to Control Access to the Configuration",
	
	refreshButtonTitle: "Refresh",
	deliverButtonTitle: "Deliver changes",
	
	showAllTeamChangesets: "Show change sets created by you and your team",
	showUsersChangesets: "Show change sets created by you",
	
	showActiveChangesets: "Show active change sets only",
	showAllChangesets: "Show all change sets",
	
	expandAllButtonTitle: "Expand all",
	collapseAllButtonTitle: "Collapse all",
	selectToCompareOrDeliver: "Select configurations to deliver or compare",
	showArchivedButtonTitle: "Show the archived configurations",
	hideArchivedButtonTitle: "Hide the archived configurations",
	archivingConfigurationNotificationTitle: "The configuration is being archived...",
	archivingConfigurationNotificationDescription: "The page will automatically refresh when the operation is complete.",
	unarchvingConfigurationNotificationTitle: "The configuration is being restored...",
	unarchivingConfigurationNotificationDescription: "The page will automatically refresh when the operation is complete.",
		
	archive_operation_title: "archive",
	restore_operation_title: "restore",
		
	createChangeset: "Create change set",
	
	shareChangeset: "Share change set",
	shareSuccessTitle: "The change set was shared.",
	shareSuccessDescription: "The Change Set '${changesetTitle}' has been Shared.  No further changes are possible in this Change Set.  A new Change Set will be required for further changes.  Workspaces which use this workspace as a flow target will see the changes as incoming changes.  To use the changes, those workspaces must Accept and possibly Merge the changes.",
	
	discardChangeset: "Discard change set",
	discardSuccessTitle: "The change set was discarded.",
	
	completeChangeset: "Complete change set",
	completeSuccessTitle: "The change set was completed.",
	completeSuccessDescription: "The Change Set '${changesetTitle}' has been completed.  No further changes are possible in this Change Set.  A new Change Set will be required for further changes.",
	
	renameChangeset: "Rename change set",
	linkChangeset: "Link to a work item",
	
	renameSuccessTitle: "The change set was renamed.",
	renameSuccessDescription: "The Change Set '${oldChangesetTitle}' has been Renamed.  Please refer to the Change Set by its new name, '${newChangesetTitle}'",
	
	reverseChangeset: "Reverse This Change Set",
	initializingReverseChangeset: "Initializing reverse change set...",

	reverseChangesetTitle: "Reverse change set",
	reverseChangesetContent: "Important: Because the \"${changesetTitle}\" change set has already been shared, undoing those changes might introduce inconsistencies into your resource. Before you share the reverse change set, verify the integrity of your resource, and test your resource in the workspace. Then, share the reverse change set with the workspace.",
	reverseChangesetOkButton: "Reverse",
	cancelButton: "Cancel",	
	
	error_ARCHIVE_CHILDREN: "CRMVC1101E An error occured during the ${operation} operation for the \"${title}\" ${type}.",
	"error_ARCHIVE_CHILDREN.explanation": "This configuration is the flow target for ${0} configurations. Archive the following configurations and try again:",
	"error_ARCHIVE_CHILDREN.useraction": "Archive the blocking workspace(s) and snapshot(s), then try the operation again.  If the problem persists, verify you have the correct permissions within the appropriate controlling area.",
	
	error_ARCHIVE_DEPENDENCIES: "CRMVC1102E An error occured during the ${operation} operation for the \"${title}\" ${type}.",
	"error_ARCHIVE_DEPENDENCIES.explanation":  "The configuration cannot be archived because the following ${0} configuration(s) depend on it:",
	"error_ARCHIVE_DEPENDENCIES.useraction": "Archive the blocking workspace(s) and snapshot(s), or remove the dependencies, then try the operation again.  If the problem persists, verify you have the correct permissions within the appropriate controlling area.", 
	
	error_ARCHIVE_BASE_SNAPSHOT: "CRMVC1114E The application cannot ${operation} the \"${title}\" ${type}.",
	"error_ARCHIVE_BASE_SNAPSHOT.explanation":  "The snapshot cannot be archived because these ${0} workspaces are based on it:",
	"error_ARCHIVE_BASE_SNAPSHOT.useraction": "Archive these workspaces, and then try the operation again. If the problem persists, verify that you have permission to archive and restore configurations for the projects that control access to the snapshot you want to archive.",

    error_UNARCHIVE_BASE_SNAPSHOT: "CRMVC1113E The application cannot ${operation} the \"${title}\" ${type}.",
    "error_UNARCHIVE_BASE_SNAPSHOT.explanation":  "Before you can restore the workspace, you must restore the following snapshots:",
    "error_UNARCHIVE_BASE_SNAPSHOT.useraction": "Restore the snapshots, and then try the operation again. If the problem persists, verify that you have permission to archive and restore configurations for the projects that control access to the snapshots you want to restore.",
	
	error_UNARCHIVE_DEPENDENCIES: "CRMVC1103E An error occured during the ${operation} operation for the \"${title}\" ${type}.",
	"error_UNARCHIVE_DEPENDENCIES.explanation": "The configuration cannot be restored because it depends on the following ${0} configuration(s) which are still archived:",
	"error_UNARCHIVE_DEPENDENCIES.useraction": "Restore the dependency workspace(s) and snapshot(s), then try the operation again.  If the problem persists, verify you have the correct permissions within the appropriate controlling area.",
	
	error_UNARCHIVE_PARENTS: "CRMVC1104E An error occured during the ${operation} operation for the \"${title}\" ${type}.",
	"error_UNARCHIVE_PARENTS.explanation": "Before you can restore the configuration, you must restore the following configurations:",
	"error_UNARCHIVE_PARENTS.useraction": "Restore the configurations, then try the operation again. If the problem persists, verify you have the correct permissions within the appropriate controlling area."
})
