/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2014.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.vvc.server.core.ui.welcome.WelcomeToVvc");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.require("com.ibm.team.vvc.shared.web.ui.VvcConstants");

dojo.require("net.jazz.ajax.ui.PlatformUI");
var PlatformUI = net.jazz.ajax.ui.PlatformUI;

dojo.requireLocalization("com.ibm.team.vvc.server.core.ui.welcome", "WelcomeToVvcMessages");
	
dojo.declare("com.ibm.team.vvc.server.core.ui.welcome.WelcomeToVvc", [dijit._Widget, dijit._Templated], {
	
	messages: dojo.i18n.getLocalization("com.ibm.team.vvc.server.core.ui.welcome", "WelcomeToVvcMessages"),
	templatePath: dojo.moduleUrl("com.ibm.team.vvc.server.core", "ui/welcome/templates/WelcomeToVvc.html"),
	
	/* Nothing to see here... */
	constructor: function(){
		var ActionRegistry = PlatformUI.getWorkbench().getActionRegistry();
		ActionRegistry.registerAction("welcome", this, "showWelcome");
	},
	
	postCreate: function(){
		dojo.attr(this.exploreConfigurationsLink, "href", "#action=" + com.ibm.team.vvc.shared.web.ui.VvcConstants.SHOW_EXPLORER);
	},
	
	showWelcome: function(){
		// do nothing...
	}
	
});
}());
